cURL
curl --request POST \
--url https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals/{proposal_address}/vote-and-execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-grid-environment: <x-grid-environment>' \
--data '
{
"signers": [
"<string>"
],
"feeConfig": {
"payer_address": "<string>",
"self_managed_fees": true
}
}
'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals/{proposal_address}/vote-and-execute"
payload = {
"signers": ["<string>"],
"feeConfig": {
"payer_address": "<string>",
"self_managed_fees": True
}
}
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-grid-environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
signers: ['<string>'],
feeConfig: {payer_address: '<string>', self_managed_fees: true}
})
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals/{proposal_address}/vote-and-execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"signers": [
"<string>"
],
"transactions": [
"<string>"
]
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}proposals
Post apigridv1accounts proposals vote and execute
POST
/
api
/
grid
/
v1
/
accounts
/
{address}
/
proposals
/
{proposal_address}
/
vote-and-execute
cURL
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Target Solana environment
Path Parameters
Smart account address (Solana public key)
Proposal address (Solana public key)
Was this page helpful?
⌘I